<div class="max-w-2xl mx-auto">
    <div class="bg-slate-800/50 rounded-lg p-6 shadow-xl">
        <h2 class="text-xl font-bold mb-4 flex items-center gap-2">
            <i data-lucide="key" class="text-emerald-400"></i>
            Password Generator
        </h2>

        <div class="space-y-6">
            <div>
                <label class="block text-sm font-medium text-slate-300 mb-2">
                    Password Length: <span id="length-value">16</span>
                </label>
                <input
                    type="range"
                    min="8"
                    max="32"
                    value="16"
                    id="length-range"
                    class="w-full h-2 bg-slate-700 rounded-lg appearance-none cursor-pointer"
                >
            </div>

            <div class="space-y-3">
                <div class="flex items-center">
                    <input type="checkbox" id="uppercase" checked class="w-4 h-4 text-emerald-400 bg-slate-700 border-slate-600 rounded focus:ring-emerald-400">
                    <label for="uppercase" class="ml-2 text-sm text-slate-300">Include Uppercase Letters</label>
                </div>
                <div class="flex items-center">
                    <input type="checkbox" id="lowercase" checked class="w-4 h-4 text-emerald-400 bg-slate-700 border-slate-600 rounded focus:ring-emerald-400">
                    <label for="lowercase" class="ml-2 text-sm text-slate-300">Include Lowercase Letters</label>
                </div>
                <div class="flex items-center">
                    <input type="checkbox" id="numbers" checked class="w-4 h-4 text-emerald-400 bg-slate-700 border-slate-600 rounded focus:ring-emerald-400">
                    <label for="numbers" class="ml-2 text-sm text-slate-300">Include Numbers</label>
                </div>
                <div class="flex items-center">
                    <input type="checkbox" id="special" checked class="w-4 h-4 text-emerald-400 bg-slate-700 border-slate-600 rounded focus:ring-emerald-400">
                    <label for="special" class="ml-2 text-sm text-slate-300">Include Special Characters</label>
                </div>
            </div>

            <button id="generate-btn" class="w-full py-2 px-4 bg-emerald-500 hover:bg-emerald-600 text-white rounded-lg transition flex items-center justify-center gap-2">
                <i data-lucide="refresh-cw" class="w-4 h-4"></i>
                Generate Password
            </button>

            <div id="password-output" class="hidden mt-4">
                <div class="flex items-center gap-2">
                    <input type="text" id="generated-password" readonly class="w-full px-4 py-2 bg-slate-700 rounded-lg border border-slate-600">
                    <button id="copy-btn" class="p-2 bg-slate-700 hover:bg-slate-600 rounded-lg transition" title="Copy to clipboard">
                        <i data-lucide="copy" class="w-5 h-5"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>